package org.gcube.portlets.widgets.ckancontentmoderator.server;

import java.util.List;

import org.gcube.common.authorization.library.provider.SecurityTokenProvider;
import org.gcube.common.scope.api.ScopeProvider;
import org.gcube.gcat.client.Item;
import org.gcube.portlets.widgets.ckancontentmoderator.client.CkanContentModeratorService;
import org.gcube.portlets.widgets.ckancontentmoderator.shared.CkanDataset;
import org.gcube.portlets.widgets.ckancontentmoderator.shared.ItemStatus;
import org.gcube.vomanagement.usermanagement.model.GCubeUser;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.google.gwt.user.server.rpc.RemoteServiceServlet;

/**
 * The server side implementation of the RPC service.
 */
@SuppressWarnings("serial")
public class CkanContentModeratorServiceAImpl extends RemoteServiceServlet implements
    CkanContentModeratorService, ContentModeratorSystem {
	
	private static Logger LOG = LoggerFactory.getLogger(CkanContentModeratorServiceAImpl.class);

	@Override
	public boolean isContentModeratorEnabled() {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public void setStatus(String itemId, ItemStatus theStatus) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public List<CkanDataset> getListItemsForStatus(ItemStatus theStatus) {
		LOG.info("Called getListItemsForStatus: "+theStatus);
		
		try {
			//DataCatalogueImpl catalogue = DataCatalogueFactory.getFactory().getUtilsPerScope(scope);
			String scope = WsUtil.getCurrentScope(getThreadLocalRequest());
			GCubeUser user = WsUtil.getCurrentUser(getThreadLocalRequest());

			String token = WsUtil.getCurrentToken(scope, user.getUsername());
			LOG.info("Setting scope: "+scope);
			ScopeProvider.instance.set(scope);
			LOG.info("Setting token: "+token);
			SecurityTokenProvider.instance.set(token);
			String datasetId = new Item().list(10, 0);
			System.out.println("the datasetId: " +datasetId);
			
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			LOG.error(e.getMessage(),e);
		}
		
		return null;
	}

	@Override
	public void approveItem(String itemId) {
		LOG.info("Called approve Item: "+itemId);
		
	}

	@Override
	public void rejectItem(String itemId, boolean permanentlyDelete, String reasonMsg) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void permanentlyDelete(String itemId) {
		// TODO Auto-generated method stub
		
	}

}
