package org.gcube.portlets.widgets.ckancontentmoderator.shared;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * The Class CkanDataset.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 * Jun 1, 2021
 */
public class CkanDataset implements Serializable, IsSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 566645830900736239L;
	private String author;
	private String authorEmail;
	private String id;
	private String licenseId;
	private String maintainer;
	private String maintainerEmail;
	private String name;
	private String notes;
	private String ownerOrg;
	//private ItemStatus state;
	private String title;
	private String type;
	private String url;
	private String version;
	private String ckanDatasetURL;
	

	/**
	 * Instantiates a new ckan dataset base.
	 */
	public CkanDataset() {
	}

	/**
	 * Gets the author.
	 *
	 * @return the author
	 */
	public String getAuthor() {
		return author;
	}

	/**
	 * Gets the author email.
	 *
	 * @return the author email
	 */
	public String getAuthorEmail() {
		return authorEmail;
	}

	/**
	 * Gets the id.
	 *
	 * @return the id
	 */
	public String getId() {
		return id;
	}

	/**
	 * Gets the license id.
	 *
	 * @return the license id
	 */
	public String getLicenseId() {
		return licenseId;
	}

	/**
	 * Gets the maintainer.
	 *
	 * @return the maintainer
	 */
	public String getMaintainer() {
		return maintainer;
	}

	/**
	 * Gets the maintainer email.
	 *
	 * @return the maintainer email
	 */
	public String getMaintainerEmail() {
		return maintainerEmail;
	}

	/**
	 * Gets the name.
	 *
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Gets the notes.
	 *
	 * @return the notes
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * Gets the owner org.
	 *
	 * @return the owner org
	 */
	public String getOwnerOrg() {
		return ownerOrg;
	}

	
	/**
	 * Gets the title.
	 *
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * Gets the type.
	 *
	 * @return the type
	 */
	public String getType() {
		return type;
	}

	/**
	 * Gets the url.
	 *
	 * @return the url
	 */
	public String getUrl() {
		return url;
	}

	/**
	 * Gets the version.
	 *
	 * @return the version
	 */
	public String getVersion() {
		return version;
	}

	/**
	 * Gets the ckan dataset URL.
	 *
	 * @return the ckan dataset URL
	 */
	public String getCkanDatasetURL() {
		return ckanDatasetURL;
	}

	/**
	 * Sets the author.
	 *
	 * @param author the new author
	 */
	public void setAuthor(String author) {
		this.author = author;
	}

	/**
	 * Sets the author email.
	 *
	 * @param authorEmail the new author email
	 */
	public void setAuthorEmail(String authorEmail) {
		this.authorEmail = authorEmail;
	}

	/**
	 * Sets the id.
	 *
	 * @param id the new id
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Sets the license id.
	 *
	 * @param licenseId the new license id
	 */
	public void setLicenseId(String licenseId) {
		this.licenseId = licenseId;
	}

	/**
	 * Sets the maintainer.
	 *
	 * @param maintainer the new maintainer
	 */
	public void setMaintainer(String maintainer) {
		this.maintainer = maintainer;
	}

	/**
	 * Sets the maintainer email.
	 *
	 * @param maintainerEmail the new maintainer email
	 */
	public void setMaintainerEmail(String maintainerEmail) {
		this.maintainerEmail = maintainerEmail;
	}

	/**
	 * Sets the name.
	 *
	 * @param name the new name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Sets the notes.
	 *
	 * @param notes the new notes
	 */
	public void setNotes(String notes) {
		this.notes = notes;
	}

	/**
	 * Sets the owner org.
	 *
	 * @param ownerOrg the new owner org
	 */
	public void setOwnerOrg(String ownerOrg) {
		this.ownerOrg = ownerOrg;
	}

	

	/**
	 * Sets the title.
	 *
	 * @param title the new title
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Sets the type.
	 *
	 * @param type the new type
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * Sets the url.
	 *
	 * @param url the new url
	 */
	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * Sets the version.
	 *
	 * @param version the new version
	 */
	public void setVersion(String version) {
		this.version = version;
	}

	/**
	 * Sets the ckan dataset URL.
	 *
	 * @param ckanDatasetURL the new ckan dataset URL
	 */
	public void setCkanDatasetURL(String ckanDatasetURL) {
		this.ckanDatasetURL = ckanDatasetURL;
	}

	
}